## org.eclipse.datatools.sqltools.db.derby.core.services
Class DerbySQLService

    java.lang.Object
      org.eclipse.datatools.sqltools.core.services.SQLService
          org.eclipse.datatools.sqltools.db.generic.service.GenericSQLService
              org.eclipse.datatools.sqltools.db.derby.core.services.DerbySQLService

    public class DerbySQLService

extends org.eclipse.datatools.sqltools.db.generic.service.GenericSQLService

Author:
  Hui Cao

Constructor Summary
`DerbySQLService()`

Method Summary
`SQLParser` `getSQLParser()`
`ISQLSyntax` `getSQLSyntax()`

Methods inherited from class org.eclipse.datatools.sqltools.core.services.SQLService
`getIdentifierValidator, getParserProposalAdvisor, splitSQL, splitSQL, splitSQLByTerminatorLine`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DerbySQLService

    public DerbySQLService()

Method Detail

### getSQLParser

    public SQLParser getSQLParser()

  Overrides:
    `getSQLParser` in class `org.eclipse.datatools.sqltools.db.generic.service.GenericSQLService`

### getSQLSyntax

    public ISQLSyntax getSQLSyntax()

  Overrides:
    `getSQLSyntax` in class `org.eclipse.datatools.sqltools.db.generic.service.GenericSQLService`